MongoCollection::group
MongoCollection::remove
MongoCollection
PHP Manual

# MongoCollection::insert

(PECL mongo >=0.9.0)

MongoCollection::insert — Inserts an array into the collection

### Description

public boolean MongoCollection::insert ( array `$a` )

### Parameters

`a`

  An array.

### Return Values

Returns if the array was not empty (an empty array will not be inserted).

### Return Values

Returns if the arrays were saved.

### Examples

Example #1 MongoCollection::insert() _id example

Inserting an object will add an _id field to it, unless it is passed by reference.

`<?php
$a = array('x' => 1);
$collection->insert($a);
var_dump($a)
$b = array('x' => 1);
$ref = &$b;
$collection->insert($ref);
var_dump($ref);
?>`

The above example will output something similar to:

    array(2) {
      ["x"]=>
      int(1)
      ["_id"]=>
      object(MongoId)#4 (0) {
      }
    }
    array(1) {
      ["x"]=>
      int(1)
    }

MongoCollection::group
MongoCollection::remove
MongoCollection
PHP Manual